curl --request GET \
--url https://api.anchorage-staging.com/v2/transactions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/transactions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": {
"quantity": "10.45234733",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "101920.94"
},
"assetType": "BTC",
"description": "Withdrawing to exchange",
"id": "9d570c38a148a6e0b4facf1e0d8c27dd6eba48c41421be1ba8bb778cbeb1a4df",
"status": "INITIATING",
"transactionType": "WITHDRAW",
"vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
"vaultName": "Long Hold Vault",
"blockchainTxId": "0xd7b99c44240ae5bdd7d2f8572358ee2a521c4d93b74c8fd3df6557ac9f02b008",
"customerId": "3b8e1f6d2a9c4e7fb5d0a1c8e3f92647",
"dateTime": "2019-01-02T12:34:56.000Z",
"destinationAddresses": [
"<string>"
],
"destinationCustomerId": "9c2f7a1e4b8d4e3fa6c0d5b1e8f34a72",
"destinationVirtualAccountId": "5a1d8c3e7f2b4a9db6e0c4f8a2d71e39",
"destinationWalletId": "d24b424293c0d64c6194f52801b3d293",
"extra": "Blockchain-specific details, such as memo in XLM",
"fee": {
"quantity": "10.45234733",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "101920.94"
},
"fiatDetails": {
"accountNumber": "123456789",
"ach": {
"sameDayAch": true,
"secCode": "WEB",
"authorization": {
"checks": [
{
"check": "NAME_MATCH",
"checkedAt": "2019-01-02T12:34:56.000Z",
"isBusinessNameDetected": true,
"isFirstNameOrLastNameMatch": true,
"isNicknameMatch": true,
"passed": true,
"score": 90
}
],
"outcome": "PASSED",
"reason": "invalid_source"
},
"remittanceInformation": "Invoice 1042",
"sourceLastFour": "6789",
"statementDescriptor": "PAYROLL",
"traceNumber": "021000021234567"
},
"bankId": "IRVTUS3N",
"bankName": "The Bank of New York Mellon",
"fedWire": "20260524ABCDXXXX012345",
"memo": "Quarterly dividend",
"name": "Satoshi Nakamoto",
"rail": "WIRE"
},
"rawTransaction": {
"chainId": "0x1",
"networkId": "ETH",
"payload": {},
"type": "ETH_SEND_TRANSACTION",
"dappUrl": "https://app.aave.com/"
},
"returnTransactionId": "4f1d8a2c9b7e3f6a0d5c1b8e2a9f7c3d6b0e4a1f8c2d9b5e7a3f0c6d1b8e4a2f",
"sourceAddresses": [
"<string>"
],
"virtualAccountId": "7f3c2a9e5b1d4c8fa0e6b2d9c4f1a873",
"walletId": "d24b424293c0d64c6194f52801b3d293"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List transactions
Permissions required: Read vault activity
List all transactions for the vaults permissioned to your API key. You can retrieve metadata about your API key from the API Key endpoints.
NOTE: price and USD value information is recent but does not reflect real-time data.
Filters
You may optionally supply the following filters:
- Set a date range by providing the
startDateand/orendDatequery parameters. The date refers to the end time of a transaction: when the transaction succeeded or failed. If the date parameters are omitted, all transactions will be returned. - Select transactions involving a specific vault by providing the
vaultIdparameter. If thevaultIdparameter is omitted, transactions for all vaults for which your API key is permissioned will be returned. - Filter transactions of one or more types with the
typesparameter. Multiple types should be separated by commas. - Select transactions involving a specific wallet by providing the
walletIdparameter. If thewalletIdparameter is omitted, transactions for all vaults for which your API key is permissioned will be returned. - Filter transactions by the receiving address with the
destinationAddressparameter. - Filter fiat transactions on a virtual account with the
virtualAccountIdparameter, or by the customer who owns the virtual account on this wallet’s side with thecustomerIdparameter.
curl --request GET \
--url https://api.anchorage-staging.com/v2/transactions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/transactions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"amount": {
"quantity": "10.45234733",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "101920.94"
},
"assetType": "BTC",
"description": "Withdrawing to exchange",
"id": "9d570c38a148a6e0b4facf1e0d8c27dd6eba48c41421be1ba8bb778cbeb1a4df",
"status": "INITIATING",
"transactionType": "WITHDRAW",
"vaultId": "1c920f4241b78a1d483a29f3c24b6c4c",
"vaultName": "Long Hold Vault",
"blockchainTxId": "0xd7b99c44240ae5bdd7d2f8572358ee2a521c4d93b74c8fd3df6557ac9f02b008",
"customerId": "3b8e1f6d2a9c4e7fb5d0a1c8e3f92647",
"dateTime": "2019-01-02T12:34:56.000Z",
"destinationAddresses": [
"<string>"
],
"destinationCustomerId": "9c2f7a1e4b8d4e3fa6c0d5b1e8f34a72",
"destinationVirtualAccountId": "5a1d8c3e7f2b4a9db6e0c4f8a2d71e39",
"destinationWalletId": "d24b424293c0d64c6194f52801b3d293",
"extra": "Blockchain-specific details, such as memo in XLM",
"fee": {
"quantity": "10.45234733",
"assetType": "BTC",
"currentPrice": "9751.01",
"currentUSDValue": "101920.94"
},
"fiatDetails": {
"accountNumber": "123456789",
"ach": {
"sameDayAch": true,
"secCode": "WEB",
"authorization": {
"checks": [
{
"check": "NAME_MATCH",
"checkedAt": "2019-01-02T12:34:56.000Z",
"isBusinessNameDetected": true,
"isFirstNameOrLastNameMatch": true,
"isNicknameMatch": true,
"passed": true,
"score": 90
}
],
"outcome": "PASSED",
"reason": "invalid_source"
},
"remittanceInformation": "Invoice 1042",
"sourceLastFour": "6789",
"statementDescriptor": "PAYROLL",
"traceNumber": "021000021234567"
},
"bankId": "IRVTUS3N",
"bankName": "The Bank of New York Mellon",
"fedWire": "20260524ABCDXXXX012345",
"memo": "Quarterly dividend",
"name": "Satoshi Nakamoto",
"rail": "WIRE"
},
"rawTransaction": {
"chainId": "0x1",
"networkId": "ETH",
"payload": {},
"type": "ETH_SEND_TRANSACTION",
"dappUrl": "https://app.aave.com/"
},
"returnTransactionId": "4f1d8a2c9b7e3f6a0d5c1b8e2a9f7c3d6b0e4a1f8c2d9b5e7a3f0c6d1b8e4a2f",
"sourceAddresses": [
"<string>"
],
"virtualAccountId": "7f3c2a9e5b1d4c8fa0e6b2d9c4f1a873",
"walletId": "d24b424293c0d64c6194f52801b3d293"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
The vault ID to get transactions for
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
1 <= x <= 100A comma-separated list of transaction types to return.
DEPOSIT, WITHDRAW, TRANSFER, DELEGATION_REWARD, STAKING_REWARD, RESTAKING_REWARD, ALLUVIAL_STAKING_REWARD, MINT, BURN, DIEM_PREBURN, GAS_STATION, ACH_DEBIT_IN, OTHER An ID uniquely identifying an Anchorage Digital wallet
The destination address on the transaction for which results will be returned
The virtual account on either side of the transaction for which results will be returned. The response shows only this wallet's side in virtualAccountId (and, for internal transfers and withdrawals, destinationVirtualAccountId), so a match on the other side is not echoed.
The customer who owns the virtual account on this wallet's side of the transaction, as shown in customerId, for which results will be returned
Was this page helpful?